TokenInfoDictionary (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.ja.dict.TokenInfoDictionary class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ja.dict
Class TokenInfoDictionary

    java.lang.Object
      org.apache.lucene.analysis.ja.dict.BinaryDictionary
          org.apache.lucene.analysis.ja.dict.TokenInfoDictionary

All Implemented Interfaces:
  Dictionary

    public final class TokenInfoDictionary

extends BinaryDictionary

Binary dictionary implementation for a known-word dictionary model: Words are encoded into an FST mapping to a list of wordIDs.

Field Summary
`static String` | `FST_FILENAME_SUFFIX`

Fields inherited from class org.apache.lucene.analysis.ja.dict.BinaryDictionary
`DICT_FILENAME_SUFFIX, DICT_HEADER, HAS_BASEFORM, HAS_PRONUNCIATION, HAS_READING, POSDICT_FILENAME_SUFFIX, POSDICT_HEADER, TARGETMAP_FILENAME_SUFFIX, TARGETMAP_HEADER, VERSION`

Fields inherited from interface org.apache.lucene.analysis.ja.dict.Dictionary
`INTERNAL_SEPARATOR`

Method Summary
`TokenInfoFST` | `getFST()`
`static TokenInfoDictionary` | `getInstance()`

Methods inherited from class org.apache.lucene.analysis.ja.dict.BinaryDictionary
`getBaseForm, getClassResource, getInflectionForm, getInflectionType, getLeftId, getPartOfSpeech, getPronunciation, getReading, getResource, getRightId, getWordCost, lookupWordIds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FST_FILENAME_SUFFIX

    public static final String FST_FILENAME_SUFFIX

See Also:
  Constant Field Values

Method Detail

### getFST

    public TokenInfoFST getFST()

### getInstance

    public static TokenInfoDictionary getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD